import flow from "rollup-plugin-flow";
import { minify } from "rollup-plugin-esbuild";
import { nodeResolve } from "@rollup/plugin-node-resolve";
import commonjs from "@rollup/plugin-commonjs";
import { defineConfig } from "rollup";

export default defineConfig({
    input: "src/index.js",
    plugins: [flow(), commonjs(), nodeResolve(), minify()],
    output: {
        file: "dist/build.js",
        format: "iife",
    },
});
