// @flow
import webpack from "./webpack.js"

import * as idb from "idb-keyval";

const common: {React: Object, ReactDOM: Object} = {
	React:    webpack.findByProps(
		"__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED",
		"createElement"
	),
	ReactDOM: webpack.findByProps(
		"__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED",
		"hydrate"
	),
	"idb_keyval": idb
}

export default common;
